Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159918 - CAN-2005-0756 x86_64 crash (ptrace-check-segment)
Summary: CAN-2005-0756 x86_64 crash (ptrace-check-segment)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Staubach
QA Contact: Brian Brock
URL:
Whiteboard: source=vendorsec,public=20050517
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-09 09:35 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:24:25 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2005-07-22 13:28 UTC, Peter Staubach
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Mark J. Cox 2005-06-09 09:35:00 UTC
The following upstream patch fixes canonical checking for segment registers in
ptrace.  This allowed user programs to set a non canonical segment which would
cause oopses in the kernel later.
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=f6b8d4778c04148729cc0b0dcd335a4411c44276

Comment 3 Mark J. Cox 2005-07-08 08:17:06 UTC
I meant "Not a dupe"

Comment 4 Peter Staubach 2005-07-22 13:28:46 UTC
Created attachment 117053 [details]
Proposed patch

Comment 10 Red Hat Bugzilla 2005-10-05 13:24:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.